> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a time tracking activity

> Permanently deletes a a time tracking activity. The deletion will fail if the time tracking activity is currently in use or has any linked transactions that are in use.



## OpenAPI

````yaml DELETE /quickbooks-desktop/time-tracking-activities/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/time-tracking-activities/{id}:
    delete:
      summary: Delete a time tracking activity
      description: >-
        Permanently deletes a a time tracking activity. The deletion will fail
        if the time tracking activity is currently in use or has any linked
        transactions that are in use.
      parameters:
        - in: path
          name: id
          description: >-
            The QuickBooks-assigned unique identifier of the time tracking
            activity to delete.
          schema:
            type: string
            description: >-
              The QuickBooks-assigned unique identifier of the time tracking
              activity to delete.
            example: 123ABC-1234567890
          required: true
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: >-
            Returns a confirmation of the deletion with the ID of the deleted
            time tracking activity.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The QuickBooks-assigned unique identifier of the deleted
                      time tracking activity.
                    example: 123ABC-1234567890
                  objectType:
                    type: string
                    const: qbd_time_tracking_activity
                    description: >-
                      The type of object. This value is always
                      `"qbd_time_tracking_activity"`.
                    example: qbd_time_tracking_activity
                  refNumber:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The case-sensitive user-defined reference number of the
                      deleted time tracking activity.
                    example: TT-1234
                  deleted:
                    type: boolean
                    description: Indicates whether the time tracking activity was deleted.
                    example: true
                required:
                  - id
                  - objectType
                  - refNumber
                  - deleted
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const timeTrackingActivity = await
            conductor.qbd.timeTrackingActivities.delete(
              '123ABC-1234567890',
              { conductorEndUserId: 'end_usr_1234567abcdefg' },
            );


            console.log(timeTrackingActivity.id);
        - lang: Python
          source: >-
            import os

            from conductor import Conductor


            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )

            time_tracking_activity =
            conductor.qbd.time_tracking_activities.delete(
                id="123ABC-1234567890",
                conductor_end_user_id="end_usr_1234567abcdefg",
            )

            print(time_tracking_activity.id)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).